#include <lpc214x.h>
#include <stdint.h>
#include "pll.h"
#include "timer0.h"
#include "uart0.h"
#include "lcd_i2c.h"
#include <stdio.h>

static uint32_t increment = 0;
uint32_t value[2], send;
uint32_t  time, freq;
char converted[6];
int main ()
{
	//PINSEL0 = 0;
	PINSEL1 = 0;
	IODIR0|= (0<<18)|(1<<21);    // set P0.18 as input
	pll_init ();    // initialsise pll clocks
	VPBDIV = 0x00;    // set pclk = 15 MHz
	timer0_init (15000000);    // initialize timer with 1 sec base 
	Uart0_init ();    // initialize uart
	//lcd_init ();
	while (1)
	{
		T0TC=0;    // set 0 to TC counter
		T0TCR=(1<<1);    //reset timer
	  T0TCR=(1<<0);    // enable timer 
		while (T0TC<1)
		{
		if (!(IOPIN0&(1<<18)))
		{
			while(!(IOPIN0&(1<<18)));
		}
		else if ((IOPIN0&(1<<18)))
		{
			while (IOPIN0&(1<<18));
		}
			increment++;
		}
		freq = increment/2;
		increment = 0;

		sprintf (converted, "%u", freq);
		Uart0_Tx_string (converted);
		Uart0_Tx_string (" Hz   \n");
		while (*converted)
		{
			int i =0;
			converted[i++] = 0;
		}
	}
}

		
